Name:      mythes
Summary:   A thesaurus library
Version:   1.2.1
Release:   %mkrel 3
Source:    http://downloads.sourceforge.net/hunspell/%{name}-%{version}.tar.gz
Group:     System/Libraries
URL:       http://hunspell.sourceforge.net/
BuildRoot: %{_tmppath}/%{name}-%{version}-%{release}-root-%(%{__id_u} -n)
License:   BSD
Patch0:    mythes-1.2.1-rhbz675806.patch
BuildRequires: hunspell-devel
BuildRequires: autoconf
BuildRequires: gettext-devel

%description
MyThes is a simple thesaurus that uses a structured text data file and an
index file with binary search to look up words and phrases and return 
information on part of speech, meanings, and synonyms.

%package devel
Requires: mythes = %{version}-%{release}, pkgconfig
Summary: Files for developing with mythes
Group: Development/Libraries

%description devel
Includes and definitions for developing with mythes

%prep
%setup -q
%patch0 -p0 -b .rhbz675806

%build
# touch NEWS because it is missing to do the auto reconf properly
touch NEWS
autoreconf -fi
%configure --disable-rpath --disable-static
%makeinstall_std

%check
./example th_en_US_new.idx th_en_US_new.dat checkme.lst
./example morph.idx morph.dat morph.lst morph.aff morph.dic

%install
rm -rf $RPM_BUILD_ROOT
make DESTDIR=$RPM_BUILD_ROOT install
rm -f $RPM_BUILD_ROOT/%{_libdir}/*.a
rm -f $RPM_BUILD_ROOT/%{_libdir}/*.la
mkdir -p $RPM_BUILD_ROOT/%{_datadir}/mythes

%clean
rm -rf $RPM_BUILD_ROOT

%files
%defattr(-,root,root,-)
%doc README COPYING AUTHORS
%{_libdir}/*.so.*
%{_datadir}/mythes

%files devel
%defattr(-,root,root,-)
%doc data_layout.txt
%{_includedir}/mythes.hxx
%{_libdir}/*.so
%{_libdir}/pkgconfig/mythes.pc
%{_bindir}/th_gen_idx.pl



%changelog
* Thu Mar 24 2011 boklm <boklm> 1.2.1-3.mga1
+ Revision: 76194
- rebuild for bug #497

* Sat Mar 12 2011 dmorgan <dmorgan> 1.2.1-2.mga1
+ Revision: 68372
- Add a fedora patch: (Resolves: rhbz#675806 fix crash if thesarus is busted)

* Sun Jan 23 2011 dmorgan <dmorgan> 1.2.1-1.mga1
+ Revision: 35239
- Add gettext-devel as buildrequires
- Adapt to mageia
- imported package mythes


* Mon Jun 21 2010 Caolán McNamara <caolanm@redhat.com> - 1.2.1-1
- latest version

* Thu Mar 11 2010 Caolán McNamara <caolanm@redhat.com> - 1.2.0-1
- initial version
